Page MenuHomeFreeBSD

Remove support for FreeBSD < 12.3 from the Tree.
ClosedPublic

Authored by rene on Mar 10 2022, 8:35 PM.

Details

Summary

Remove support for FreeBSD < 12.3 from the Tree.

  • Mk/bsd.port.mk: bump minimal FreeBSD version to 12.3
  • Mk/bsd.port.mk: update an example
  • sysutils/lsof: drop support for ancient FreeBSD releases.
  • multimedia/ustreamer: remove inline patch for 12.2
  • x11/wayland-logout: remove support for FreeBSD < 12.3
  • sysutils/bhyve+: remove support for FreeBSD 12.2
  • databases/clickhouse: remove support for FreeBSD 12.2
  • databases/mariadb106-server: remove support for FreeBSD 12.2
  • devel/cvsd: no need to test for FreeBSD >=5 anymore
  • devel/imake: no need to support a.out anymore
  • japanese/kterm: no need to support FreeBSD <= 9
  • math/igraph: remove support for FreeBSD 12.2
  • net/onedrive: remove support for FreeBSD 12.2
  • security/botan110: remove support for FreeBSD 12.[012]. This change should be overruled by the expiration date of the port itself.
  • security/ipsec-tools: no need to test for FreeBSD >= 11
Test Plan

make index

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

rene requested review of this revision.Mar 10 2022, 8:35 PM

LGTM -- Can you do a PR to the lsof-org/lsof repo on GitHub?

gjb requested changes to this revision.Mar 10 2022, 9:14 PM
gjb added a subscriber: gjb.
gjb added inline comments.
misc/freebsd-release-manifests/pkg-plist
7 ↗(On Diff #103732)

Please do not commit this. I will take care of it when March 31 comes around.

This revision now requires changes to proceed.Mar 10 2022, 9:14 PM
mail/exim/Makefile
71 ↗(On Diff #103732)

I have some confirmed report from 13.0, so prefer to keep it until 13.1

wayland-logout change (reverting 4696971b3582) is OK. Can you also revert 8050337467a5?

Revert changes to mail/exim and misc/freebsd-release-manifests as requested.

Earlier changes:

  • Mk/bsd.port.mk: update an example
  • sysutils/lsof: drop support for ancient FreeBSD releases.
  • multimedia/ustreamer: remove inline patch for 12.2
  • x11/wayland-logout: remove support for FreeBSD < 12.3
  • sysutils/bhyve+: remove support for FreeBSD 12.2
  • databases/clickhouse: remove support for FreeBSD 12.2
  • databases/mariadb106-server: remove support for FreeBSD 12.2
  • devel/cvsd: no need to test for FreeBSD >=5 anymore
  • devel/imake: no need to support a.out anymore
  • japanese/kterm: no need to support FreeBSD <= 9
  • math/igraph: remove support for FreeBSD 12.2
  • net/onedrive: remove support for FreeBSD 12.2
  • security/botan110: remove support for FreeBSD 12.[012]
  • security/ipsec-tools: no need to test for FreeBSD >= 11
rene marked 2 inline comments as done.Mar 13 2022, 9:25 AM
rene edited the summary of this revision. (Show Details)
  • Revert "emulators/rpcs3: unbreak on FreeBSD 12.2 after 49f593b2f77f"
In D34523#782138, @ler wrote:

LGTM -- Can you do a PR to the lsof-org/lsof repo on GitHub?

Done in https://github.com/lsof-org/lsof/pull/196

Note that @emaste already did most of the work for upstream here ;)

  • Mk/bsd.port.mk: bump minimal FreeBSD version to 12.3
  • Mk/bsd.port.mk: update an example
  • sysutils/lsof: drop support for ancient FreeBSD releases.
  • multimedia/ustreamer: remove inline patch for 12.2
  • x11/wayland-logout: remove support for FreeBSD < 12.3
  • sysutils/bhyve+: remove support for FreeBSD 12.2
  • databases/clickhouse: remove support for FreeBSD 12.2
  • databases/mariadb106-server: remove support for FreeBSD 12.2
  • devel/cvsd: no need to test for FreeBSD >=5 anymore
  • devel/imake: no need to support a.out anymore
  • japanese/kterm: no need to support FreeBSD <= 9
  • math/igraph: remove support for FreeBSD 12.2
  • net/onedrive: remove support for FreeBSD 12.2
  • security/botan110: remove support for FreeBSD 12.[012]
  • security/ipsec-tools: no need to test for FreeBSD >= 11
  • Revert "emulators/rpcs3: unbreak on FreeBSD 12.2 after 49f593b2f77f"
  • lang/rust: remove support for FreeBSD 11 on riscv64
  1. Updating D34523: Remove support for FreeBSD < 12.3 from the Tree. #

lang/rust: remove support for FreeBSD 11 on riscv64

We still need COMPAT_FREEBSD11 for rust, don't delete riscv64/patch-vendor_libc-0.2.108_src_unix_bsd_freebsdlike_freebsd_freebsd11_mod.rs please.

We still need COMPAT_FREEBSD11 for rust, don't delete riscv64/patch-vendor_libc-0.2.108_src_unix_bsd_freebsdlike_freebsd_freebsd11_mod.rs please.

Ah, is that required for bootstrapping rust?

  1. Updating D34523: Remove support for FreeBSD < 12.3 from the Tree. #
  2. Enter a brief description of the changes included in this update.

Restore FreeBSD 11/riscv64 patch for Rust which is still needed.

Rebase.

  • Mk/bsd.port.mk: bump minimal FreeBSD version to 12.3
  • Mk/bsd.port.mk: update an example
  • sysutils/lsof: drop support for ancient FreeBSD releases.
  • multimedia/ustreamer: remove inline patch for 12.2
  • x11/wayland-logout: remove support for FreeBSD < 12.3
  • sysutils/bhyve+: remove support for FreeBSD 12.2
  • databases/clickhouse: remove support for FreeBSD 12.2
  • databases/mariadb106-server: remove support for FreeBSD 12.2
  • devel/cvsd: no need to test for FreeBSD >=5 anymore
  • devel/imake: no need to support a.out anymore
  • japanese/kterm: no need to support FreeBSD <= 9
  • math/igraph: remove support for FreeBSD 12.2
  • net/onedrive: remove support for FreeBSD 12.2
  • security/botan110: remove support for FreeBSD 12.[012]
  • security/ipsec-tools: no need to test for FreeBSD >= 11
  • Revert "emulators/rpcs3: unbreak on FreeBSD 12.2 after 49f593b2f77f"

Rebase.

  • Mk/bsd.port.mk: bump minimal FreeBSD version to 12.3
  • Mk/bsd.port.mk: update an example
  • sysutils/lsof: drop support for ancient FreeBSD releases.
  • multimedia/ustreamer: remove inline patch for 12.2
  • x11/wayland-logout: remove support for FreeBSD < 12.3
  • sysutils/bhyve+: remove support for FreeBSD 12.2
  • databases/clickhouse: remove support for FreeBSD 12.2
  • databases/mariadb106-server: remove support for FreeBSD 12.2
  • devel/cvsd: no need to test for FreeBSD >=5 anymore
  • devel/imake: no need to support a.out anymore
  • japanese/kterm: no need to support FreeBSD <= 9
  • math/igraph: remove support for FreeBSD 12.2
  • net/onedrive: remove support for FreeBSD 12.2
  • security/ipsec-tools: no need to test for FreeBSD >= 11
  • Revert "emulators/rpcs3: unbreak on FreeBSD 12.2 after 49f593b2f77f"
This revision was not accepted when it landed; it landed in state Needs Review.Apr 1 2022, 3:57 PM
This revision was automatically updated to reflect the committed changes.